<!--
 * @Author: qiminghui 
 * @Date: 2023-05-12 16:51:16
 * @LastEditors: qiminghui
 * @LastEditTime: 2023-05-12 20:09:10
 * @FilePath: \bigScreen\src\components\riskMonitor\integrated\leftCharts\MonitorOverview.vue
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
-->
<template>
  <div class="monitorOverviewContainer">
    <div class="tabs">
      <ul class="clearfix" @mouseover="tabListOver" @mouseleave="tabListLeave">
        <li
          :class="['fl', activeOne === tab.code ? 'active' : '']"
          v-for="(tab, i) in tabList"
          :key="tab.code"
          @click="tabClick(tab.code, i)"
        >
          <div class="img tc">
            <img :src="require('./' + tab.code + '.png')" alt="" />
          </div>
          <div class="text">
            <span>{{ tab.name }}</span>
          </div>
        </li>
      </ul>
    </div>
    <div class="dataText">
      <div class="statistics">
        <div class="inline clearfix">
          <span class="fl">设备总数</span
          ><em class="fr">{{ selectedDatas.statistics.total }}</em>
        </div>
        <div class="inline clearfix">
          <span class="fl">在线数</span
          ><em class="fr">{{ selectedDatas.statistics.online }}</em>
        </div>
        <div class="inline clearfix">
          <span class="fl">故障数</span
          ><em class="fr">{{ selectedDatas.statistics.error }}</em>
        </div>
      </div>
      <ul class="datasList">
        <li class="inline" v-for="(item, i) in selectedDatas.datas" :key="i">
          <i class="fl imgBox"
            ><img :src="require('./data' + ((i % 6) + 1) + '.png')" alt=""
          /></i>
          <span class="fl">{{ item.name }}</span>
          <em class="fr">{{ item.value }}</em>
        </li>
      </ul>
    </div>
    <div class="dataChart clearfix">
      <DevTotalLine :selected="activeOne" />
      <DevOnlineLine :selected="activeOne" />
      <DevErrorLine :selected="activeOne" />
    </div>
  </div>
</template>

<script>
import DevTotalLine from "./DevTotalLine";
import DevOnlineLine from "./DevOnlineLine";
import DevErrorLine from "./DevErrorLine";
export default {
  name: "monitorOverview",
  components: {
    DevTotalLine,
    DevOnlineLine,
    DevErrorLine,
  },
  data() {
    return {
      activeOne: "",
      tabList: [
        {
          name: "热力",
          code: "thermal",
        },
        {
          name: "供水",
          code: "waterSupply",
        },
        {
          name: "燃气",
          code: "gas",
        },
        {
          name: "综合",
          code: "integrated",
        },
        {
          name: "内涝",
          code: "waterlogging",
        },
        {
          name: "消防",
          code: "fire",
        },
        {
          name: "管廊",
          code: "pipeRack",
        },
      ],
      selectedDatas: {},
      thermal: {
        statistics: {
          total: 1515,
          online: 1489,
          error: 26,
        },
        datas: [
          {
            name: "流量传感器",
            value: 681,
          },
          {
            name: "压力传感器",
            value: 834,
          },
        ],
      },
      waterSupply: {
        statistics: {
          total: 6379,
          online: 6345,
          error: 134,
        },
        datas: [
          {
            name: "流量传感器",
            value: 2678,
          },
          {
            name: "压力传感器",
            value: 2463,
          },
          {
            name: "声波传感器",
            value: 1238,
          },
        ],
      },
      gas: {
        statistics: {
          total: 5437,
          online: 5329,
          error: 108,
        },
        datas: [
          {
            name: "气体传感器",
            value: 2328,
          },
          {
            name: "压力传感器",
            value: 796,
          },
          {
            name: "流量传感器",
            value: 392,
          },
          {
            name: "温湿度传感器",
            value: 1036,
          },
          {
            name: "振动传感器",
            value: 539,
          },
          {
            name: "视频监控器",
            value: 346,
          },
        ],
      },
      integrated: {
        statistics: {
          total: 32410,
          online: 31734,
          error: 676,
        },
        datas: [
          {
            name: "气体传感器",
            value: 6587,
          },
          {
            name: "压力传感器",
            value: 5742,
          },
          {
            name: "流量传感器",
            value: 5375,
          },
          {
            name: "温湿度传感器",
            value: 5523,
          },
          {
            name: "振动传感器",
            value: 539,
          },
          {
            name: "视频监控器",
            value: 3427,
          },
          {
            name: "声波传感器",
            value: 1238,
          },
          {
            name: "液位传感器",
            value: 2325,
          },
          {
            name: "位移传感器",
            value: 1654,
          },
        ],
      },
      waterlogging: {
        statistics: {
          total: 5297,
          online: 5124,
          error: 173,
        },
        datas: [
          {
            name: "液位传感器",
            value: 492,
          },
          {
            name: "流量传感器",
            value: 398,
          },
          {
            name: "温湿度传感器",
            value: 267,
          },
          {
            name: "气体传感器",
            value: 1687,
          },
          {
            name: "视频监控器",
            value: 2453,
          },
        ],
      },
      fire: {
        statistics: {
          total: 5477,
          online: 5390,
          error: 87,
        },
        datas: [
          {
            name: "温湿度传感器",
            value: 2358,
          },
          {
            name: "位移传感器",
            value: 1654,
          },
          {
            name: "气体传感器",
            value: 628,
          },
          {
            name: "视频监控器",
            value: 837,
          },
        ],
      },
      pipeRack: {
        statistics: {
          total: 8305,
          online: 8157,
          error: 148,
        },
        datas: [
          {
            name: "压力传感器",
            value: 1649,
          },
          {
            name: "流量传感器",
            value: 1226,
          },
          {
            name: "液位传感器",
            value: 1833,
          },
          {
            name: "气体传感器",
            value: 1735,
          },
          {
            name: "温湿度传感器",
            value: 1862,
          },
        ],
      },
      timer: null,
      activeIndex: 3,
    };
  },
  created() {
    this.activeOne = "integrated";
    this.selectedDatas = {
      ...this[this.activeOne],
    };
    this.autoChange();
  },
  destroyed() {
    clearTimeout(this.timer);
  },
  methods: {
    autoChange() {
      clearTimeout(this.timer);
      this.timer = setTimeout(() => {
        if (this.activeIndex === 6) {
          this.activeIndex = -1;
        }
        this.activeIndex++;
        this.tabChange(this.tabList[this.activeIndex].code);
        this.autoChange();
      }, 3000);
    },
    tabClick(code, index) {
      this.activeIndex = index;
      this.tabChange(code);
      this.autoChange();
    },
    tabChange(code) {
      this.activeOne = code;
      this.selectedDatas = {
        ...this[this.activeOne],
      };
    },
    tabListOver() {
      clearTimeout(this.timer);
    },
    tabListLeave() {
      this.autoChange();
    },
  },
};
</script>

<style lang="scss" scoped>
.monitorOverviewContainer {
  // padding: 76px 0 0 138px;
  padding: 76px 0 0 0;

  .tabs {
    ul {
      li {
        width: 94px;
        height: 106px;
        background: no-repeat url("./borderBg.png");
        background-size: 100% 100%;
        margin: 0 12px;
        opacity: 0.4;
        cursor: pointer;
        transition: all 1s;

        &.active {
          opacity: 1;
          transform: scale(1.1);
        }

        .img {
          height: 32px;
          margin: 24px 0 10px;
        }

        .text {
          width: 65px;
          height: 28px;
          text-align: center;
          line-height: 28px;
          background: no-repeat url("./nameBg.png");
          background-size: 100% 100%;
          margin: 0 auto;

          span {
            background-image: -webkit-linear-gradient(bottom, #7cd0ff, #feffff);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
          }
        }
      }
    }
  }

  .dataText {
    color: #fff;

    .statistics {
      margin-top: 10px;

      div {
        width: 220px;
        height: 64px;
        line-height: 64px;
        background: no-repeat url("./statisticsBg.png");
        background-size: 100% 100%;
        margin: 0 26px;

        &:nth-child(2) {
          color: #00c6ff;
        }

        &:nth-child(3) {
          color: #8d8c8c;
        }

        span {
          font-size: 16px;
          padding-left: 30px;
        }

        em {
          padding-right: 30px;
          font-size: 26px;
          font-family: DIN;
        }
      }
    }

    .datasList {
      height: 132px;
      overflow: auto;
      font-size: 0;
      line-height: 0;

      li {
        width: 212px;
        height: 44px;
        line-height: 44px;
        background: no-repeat url("./dataBg.png");
        background-size: 100% 100%;
        margin: 11px 30px;

        i {
          display: block;
          width: 20px;
          height: 20px;
          margin: 12px 8px 12px 10px;
        }

        span {
          font-size: 16px;
        }

        em {
          margin-right: 8px;
          font-size: 20px;
          font-family: DIN;
        }
      }
    }
  }

  .dataChart {
    height: 200px;
    margin-top: 10px;
    padding-left: 10px;
  }
}
</style>
